#if !defined(AFX_PRODUCTSTRUCTURELISTVIEW_H__207915A5_DC9E_11D3_B870_D7173ABD554B__INCLUDED_)
#define AFX_PRODUCTSTRUCTURELISTVIEW_H__207915A5_DC9E_11D3_B870_D7173ABD554B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProductStructureListView.h : header file
//

#include "aplListView.h"
/////////////////////////////////////////////////////////////////////////////
// CProductStructureListView view

class CProductStructureListView : public CaplListView
{
protected:
	CProductStructureListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CProductStructureListView)

// Attributes
public:

// Operations
public:
void UpdateTreeItem(CaplTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProductStructureListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CProductStructureListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CProductStructureListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRODUCTSTRUCTURELISTVIEW_H__207915A5_DC9E_11D3_B870_D7173ABD554B__INCLUDED_)
